<template>
  <div class="wrapper footer-wrapper">
    <div class="container">
      <div
        ref="footer"
        class="footer"
        v-waypoint="{active: isWaypointActive, callback: handleAnimateCallback, options: {threshold: [0.75, 1]}}"
      >
        <section class="footer-left">
          <div class="footer-left__logo"/>
          <div class="footer-left__text">
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sed lacus ut mauris vestibulum
            pellentesque.
          </div>
        </section>
        <section class="footer-right">
          <div class="footer-right__title">Join the adventure</div>
          <div class="footer-right__text">Subscribe to our newsletter</div>
          <form class="footer-right-form">
            <input type="email" placeholder="Email address">
            <button type="submit" class="btn btn_green-outline">Subscribe</button>
          </form>
        </section>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "MainPageFooter",
  data() {
    return {
      isWaypointActive: true
    }
  },
  methods: {
    handleAnimateCallback({going}) {
      if (going !== 'in') return

      const elements = [
        document.querySelector('#general-footer'),
        this.$refs.footer
      ]

      this.$anime.timeline({
        easing: 'easeOutSine'
      })
        .add({
          targets: '.footer-wrapper',
          backgroundSize: '100% 2px',
          duration: 300
        })
        .add({
          targets: elements,
          opacity: [0, 1],
          translateY: [100, 0],
          duration: 750
        })

      this.isWaypointActive = false
    }
  }
}
</script>

<style scoped lang="sass">
@import "~@/assets/sass/components/MainPage/MainPageFooter.sass"
</style>
